> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Calculate Profile Tiers

> A `POST` to the `/profile/tiers/calculate/batch.json` endpoint allows your application
to queue tier recalculations for a batch of profiles. Each entry in `profiles` requires
a `profile_id`. Per-profile recalculation runs the same logic as
`GET /profiles/{profile}/tiers/calculate`.



## OpenAPI

````yaml post /v3/profile/tiers/calculate/batch.json
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profile/tiers/calculate/batch.json:
    post:
      tags:
        - Profile Tier
      summary: Batch Calculate Profile Tiers
      description: >-
        A `POST` to the `/profile/tiers/calculate/batch.json` endpoint allows
        your application

        to queue tier recalculations for a batch of profiles. Each entry in
        `profiles` requires

        a `profile_id`. Per-profile recalculation runs the same logic as

        `GET /profiles/{profile}/tiers/calculate`.
      operationId: profileTier.batchJson
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchTierCalculateJson'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    const: Queued for processing.
                required:
                  - message
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    BatchTierCalculateJson:
      type: object
      properties:
        profiles:
          type: array
          items:
            type: object
            properties:
              profile_id:
                type: string
            required:
              - profile_id
          minItems: 1
      required:
        - profiles
      title: BatchTierCalculateJson
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````